Bug 1127586 - Subscriptions on topic deployed with message driven bean doesn't disappear after MDB is undelpoyed.
Summary: Subscriptions on topic deployed with message driven bean doesn't disappear af...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: EAP 6.4.0
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:14 UTC by Ondřej Kalman
Modified: 2019-08-19 12:49 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:49:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1513 Major Resolved remove operation on JMS queue/topic doesn't remove the destination but just unbinds from JNDI 2015-09-07 06:42:34 UTC

Description Ondřej Kalman 2014-08-07 08:14:18 UTC
Description of problem:
Durable subscriptions on topic deployed with message driven bean doesn't disappear after MDB is undelpoyed and subscribers can get messages from this topic after MDB is deployed back.  

Steps to Reproduce:
1.Deploy MDB with topic defined in hornetq-jms.xml
2. Subscribe some subscriber (use durable subscription)
3. Undeploy MDB

Actual results:
Subscriptions remain on server

Expected results:
All subscriptions should be cleaned.

Comment 1 Jeff Mesnil 2014-08-07 10:47:25 UTC
If the topic is deployed with the MDB, why did you use a durable subscriber to consume from this topic?

Comment 2 Ondřej Kalman 2014-08-07 12:03:53 UTC
It's not only with this case of deployment. If you make topic in standalone-full-ha.xml then you make subscription to it and after that you remove this topic (and after server restart of course), subscriptions still remains.

Comment 3 Jeff Mesnil 2014-08-14 14:50:14 UTC
Bug is fixed in upstream.

To fix the issue in EAP, it requires to upgrade HornetQ as the feature is depending on https://issues.jboss.org/browse/HORNETQ-1225 that was not back ported to HornetQ 2.3.x branch

Comment 4 Jeff Mesnil 2014-08-14 14:55:08 UTC
Clebert, I've assigned this issue to you so that HORNETQ-12225 can be backported to 2.3.x branch to fix the issue.


Note You need to log in before you can comment on or make changes to this bug.